Subject: Re: [patch for 2.6.24? 1/1] bonding: locking fix

From: Jay Vosburgh <[email-masked]>
Date: Mon, 14 Jan 2008 15:01:13 -0800

Andrew Morton <[email-masked]> wrote:
[...]
>That's bond_lock.
>
>This patch (below) addresses what appears to me to be an obvious
>imbalance in rtnl_lock.
>
>I don't care how it's fixed, really.  Someone please fix it?

	I posted a correct patch for this a few days ago:

http://marc.info/?l=linux-netdev&m=119975746803886&w=2

	The correct fix requires more than simply removing the rtnl calls.

	I've got a few other patches in the pipeline, so I'm planning to
repost the set the above patch was a part of plus a few others, most
likely tomorrow.

	-J

---
	-Jay Vosburgh, IBM Linux Technology Center, [email-masked]